#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Name:           knewstuff
Version: 5.42.0
%define subrel  2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test) 
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)

BuildRequires:  attica-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kio-devel >= %version

Conflicts:      %{_lib}kf5newstuff5 < 5.42.0-1.1

%description
KDE Frameworks 5 Tier 3 module for downloading application assets

%files -f %{name}5.lang
%_sysconfdir/xdg/knewstuff.categories
%_kf5_datadir/kf5/knewstuff
%_kf5_datadir/kf5/kmoretools
%_kf5_qmldir/org/kde/newstuff

#--------------------------------------------------------------------

%define kf5newstuff_major 5
%define libkf5newstuff %mklibname kf5newstuff %{kf5newstuff_major}

%package -n %libkf5newstuff
Summary:  KDE Frameworks 5 Tier 3 module for downloading application assets
Requires:     %name = %version-%release
Group:        System/Libraries

%description -n %libkf5newstuff
KDE Frameworks 5 Tier 3 module for downloading application assets

%files -n %libkf5newstuff
%_kf5_libdir/libKF5NewStuff.so.%{kf5newstuff_major}*

#--------------------------------------------------------------------

%define kf5newstuffcore_major 5
%define libkf5newstuffcore %mklibname kf5newstuffcore %{kf5newstuffcore_major}

%package -n %libkf5newstuffcore
Summary:  KDE Frameworks 5 Tier 3 module for downloading application assets
Requires:     %name = %version-%release
Group:        System/Libraries

%description -n %libkf5newstuffcore
KDE Frameworks 5 Tier 3 module for downloading application assets

%files -n %libkf5newstuffcore
%_kf5_libdir/libKF5NewStuffCore.so.%{kf5newstuffcore_major}*

#--------------------------------------------------------------------

%define kf5newstuff_devel %mklibname kf5newstuff -d

%package -n %kf5newstuff_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5newstuff = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5newstuff_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5newstuff_devel
%_kf5_includedir/KNewStuff3
%_kf5_includedir/knewstuff_version.h
%_kf5_includedir/knewstuffcore_version.h
%_kf5_includedir/knewstuffquick_version.h
%_kf5_libdir/cmake/KF5NewStuff
%_kf5_libdir/cmake/KF5NewStuffCore
%_kf5_libdir/cmake/KF5NewStuffQuick
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %{name}5



%changelog
* Sun May 13 2018 neoclust <neoclust> 5.42.0-1.2.mga6
  (not released yet)
+ Revision: 1229005
- More filelist fixing
- Remove translations out of lib package
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089414
- Rebuild for armv5

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088981
- New version 5.32.0

* Wed Dec 14 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074924
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072217
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058372
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050549
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045127
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041349
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021947
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014357
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999649
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986342
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942266
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921295
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913094
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909888
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900460
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899532
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898939
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888179
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881403
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862964
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862693
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853948
- New version 5.12.0

* Mon Jun 29 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 847629
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803370
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681139
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660442
- New version 5.1.0

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652241
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Sun Apr 06 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612217
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599827
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597480
- imported package knewstuff

